Package uk.ac.starlink.vo

## Interface OutputFormat

-     public interface OutputFormat

  Represents a TAPRegExt output format. This is a declaration of support by a TAP service for a given TAP result format.
  Since:
    6 May 2015
  Author:
    Mark Taylor
  See Also:
    TAPRegExt v1.0, section 2.4

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getAliases()` | Returns a list of zero or more aliases for this format.
    `java.lang.String` | `getIvoid()` | Returns an optional IVO-ID associated with this format.
    `java.lang.String` | `getMime()` | Returns the MIME type associated with this format.

- - ### Method Detail

    - #### getMime

          java.lang.String getMime()

      Returns the MIME type associated with this format. According to TAPRegExt this ought not to be null, but implementations may not enforce that.
      Returns:
        format MIME type, perhaps qualified by parameters

    - #### getAliases

          java.lang.String[] getAliases()

      Returns a list of zero or more aliases for this format.
      Returns:
        alias list

    - #### getIvoid

          java.lang.String getIvoid()

      Returns an optional IVO-ID associated with this format.
      Returns:
        ivoi-id, or null